package ru.maxfad.loadjsonfromassets_02;

import android.os.Bundle;
import android.widget.ListAdapter;
import android.widget.ListView;

import androidx.appcompat.app.AppCompatActivity;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;

public class MainActivity extends AppCompatActivity {

    ListView listView;
    JSONArray jsonArray;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        listView = findViewById(R.id.listView);

        try {
            JSONObject jsonObject = new JSONObject(getJSonData("users.json"));
            jsonArray = jsonObject.getJSONArray("users");
        }catch (JSONException e){
            e.printStackTrace();
        }




        ArrayList<JSONObject> listItems = getArrayListFromJSONArray(jsonArray);
        ListAdapter adapter = new UserAdapter(this,R.layout.row,R.id.name,listItems);
        listView.setAdapter(adapter);
    }


    //private JSONArray getJSonData(String filename){
    private String getJSonData(String filename){
     //JSONArray jsonArray = null;
     String json = null;
     try {
         InputStream inputStream = getResources().getAssets().open(filename);
         int size = inputStream.available();
         byte[] data = new byte[size];
         inputStream.read(data);
         inputStream.close();
         json = new String(data,"UTF-8");
         //jsonArray = new JSONArray(json);
     }catch (IOException e){
         e.printStackTrace();
     }
        //return jsonArray;
        return json;
    }


    private ArrayList<JSONObject> getArrayListFromJSONArray(JSONArray jsonArray){
        ArrayList<JSONObject> aList = new ArrayList<JSONObject>();
        try {
            if(jsonArray!= null){
                for(int i = 0; i<jsonArray.length();i++){
                    aList.add(jsonArray.getJSONObject(i));
                }
            }
        }catch (JSONException js){
            js.printStackTrace();
        }
        return aList;
    }

}